
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>【Mongodb】 Mongodb sharding 管理之二 / iVAN</title>

    <meta name="description" content="【Mongodb】 Mongodb sharding 管理之二 shard 集群的系统信息也是保留在config数据库的集合里面的.本文介绍一些Shard 的配置信息查询, mongos&gt; use config switched to db config 查询当前的版本 mongos&gt; db.getCollection(&quot;version&quot;).findOne() { &quot;_id&quot; : 1, &quot;version&quot; : 3 } 查询当前的配置chunkSize的大小 mongos&gt; db.s ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">【Mongodb】 Mongodb sharding 管理之二</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>shard 集群的系统信息也是保留在config数据库的集合里面的。本文介绍一些Shard 的配置信息查询，</p>
<p>mongos&gt; use config</p>
<p>switched to db config</p>
<p>查询当前的版本</p>
<p>mongos&gt; db.getCollection("version").findOne()</p>
<p>{ "_id" : 1, "version" : 3 }</p>
<p>查询当前的配置chunkSize的大小</p>
<p>mongos&gt; db.settings.find()</p>
<p>{ "_id" : "chunksize", "value" : 1 }</p>
<p>查询整个shard集群的成员</p>
<p>mongos&gt; db.shards.find()</p>
<p>{ "_id" : "shard0000", "host" : "10.250.7.225:27018" }</p>
<p>{ "_id" : "shard0001", "host" : "10.250.7.249:27019" }</p>
<p>{ "_id" : "shard0002", "host" : "10.250.7.241:27020" }</p>
<p>查询被水平拆分的集合：</p>
<p>mongos&gt;  db.collections.find()</p>
<p>{ "_id" : "test.yql", "lastmod" : ISODate("1970-01-16T06:45:27.212Z"), "dropped" : false, "key" : { "_id" : 1 }, "unique" : true }</p>
<p>查询被水平拆分的集合分成的chunk分布</p>
<p>mongos&gt; db.chunks.find()</p>
<p>{ "_id" : "test.yql-_id_MinKey", "lastmod" : { "t" : 2000, "i" : 1 }, "ns" : "test.yql", "min" : { "_id" : { $minKey : 1 } }, "max" : { "_id" : ObjectId("4eb298b3adbd9673afee95e3") }, "shard" : "shard0000" }</p>
<p>{ "_id" : "test.yql-_id_ObjectId('4eb298b3adbd9673afee95e3')", "lastmod" : { "t" : 1000, "i" : 3 }, "ns" : "test.yql", "min" : { "_id" : ObjectId("4eb298b3adbd9673afee95e3") }, "max" : { "_id" : ObjectId("4eb2a64640643e5bb60072f7") }, "shard" : "shard0000" }</p>
<p>{ "_id" : "test.yql-_id_ObjectId('4eb2a64640643e5bb60072f7')", "lastmod" : { "t" : 3000, "i" : 1 }, "ns" : "test.yql", "min" : { "_id" : ObjectId("4eb2a64640643e5bb60072f7") }, "max" : { "_id" : ObjectId("4eb2a65340643e5bb600e084") }, "shard" : "shard0002" }</p>
<p>{ "_id" : "test.yql-_id_ObjectId('4eb2a65340643e5bb600e084')", "lastmod" : { "t" : 3000, "i" : 0 }, "ns" : "test.yql", "min" : { "_id" : ObjectId("4eb2a65340643e5bb600e084") }, "max" : { "_id" : { $maxKey : 1 } }, "shard" : "shard0001" }</p>
<p>查询当前mongodb里面的数据库的shard信息：</p>
<p>mongos&gt; db.databases.find()</p>
<p>{ "_id" : "admin", "partitioned" : false, "primary" : "config" }</p>
<p>{ "_id" : "test", "partitioned" : true, "primary" : "shard0000" }</p>
<p>{ "_id" : "mongos", "partitioned" : false, "primary" : "shard0000" }</p>
<p>mongos集合记录的这个集群中的所有mongos服务，默认每隔30s钟ping mongos服务器一次，以便查看其是否alive。</p>
<p>mongos&gt; db.mongos.find()</p>
<p>{ "_id" : "rac4:27017", "ping" : ISODate("2011-11-05T05:47:50.575Z"), "up" : 145503 }</p>
<p>changlog 集合</p>
<p>记录了sharding 集群的元数据，changlog 默认记录10M的操作。</p>
<p>mongos&gt; db.changelog.findOne()</p>
<p>{</p>
<p>        "_id" : "rac1-2011-11-03T14:42:14-0",</p>
<p>        "server" : "rac1",</p>
<p>        "clientAddr" : "10.250.7.220:53899",</p>
<p>        "time" : ISODate("2011-11-03T14:42:14.873Z"),</p>
<p>        "what" : "split",</p>
<p>        "ns" : "test.yql",</p>
<p>        "details" : {</p>
<p>                "before" : {</p>
<p>                        "min" : {</p>
<p>                                "_id" : { $minKey : 1 }</p>
<p>                        },</p>
<p>                        "max" : {</p>
<p>                                "_id" : { $maxKey : 1 }</p>
<p>                        },</p>
<p>                        "lastmod" : {</p>
<p>                                "t" : 1000,</p>
<p>                                "i" : 0</p>
<p>                        }</p>
<p>                },</p>
<p>                "left" : {</p>
<p>                        "min" : {</p>
<p>                                "_id" : { $minKey : 1 }</p>
<p>                        },</p>
<p>                        "max" : {</p>
<p>                                "_id" : ObjectId("4eb298b3adbd9673afee95e3")</p>
<p>                        },</p>
<p>                        "lastmod" : {</p>
<p>                                "t" : 1000,</p>
<p>                                "i" : 1</p>
<p>                        }</p>
<p>                },</p>
<p>                "right" : {</p>
<p>                        "min" : {</p>
<p>                                "_id" : ObjectId("4eb298b3adbd9673afee95e3")</p>
<p>                        },</p>
<p>                        "max" : {</p>
<p>                                "_id" : { $maxKey : 1 }</p>
<p>                        },</p>
<p>                        "lastmod" : {</p>
<p>                                "t" : 1000,</p>
<p>                                "i" : 2</p>
<p>                        }</p>
<p>                }</p>
<p>        }</p>
<p>}</p>
<p>mongos&gt; db.changelog.find()</p>
<p>{ "_id" : "rac1-2011-11-03T14:42:14-0", "server" : "rac1", "clientAddr" : "10.250.7.220:53899", "time" : ISODate("2011-11-03T14:42:14.873Z"), "what" : "split", "ns" : "test.yql", "details" : { "before" : { "min" : { "_id" : { $minKey : 1 } }, "max" : { "_id" : { $maxKey : 1 } }, "lastmod" : { "t" : 1000, "i" : 0 } }, "left" : { "min" : { "_id" : { $minKey : 1 } }, "max" : { "_id" : ObjectId("4eb298b3adbd9673afee95e3") }, "lastmod" : { "t" : 1000, "i" : 1 } }, "right" : { "min" : { "_id" : ObjectId("4eb298b3adbd9673afee95e3") }, "max" : { "_id" : { $maxKey : 1 } }, "lastmod" : { "t" : 1000, "i" : 2 } } } }</p>
<p>{ "_id" : "rac1-2011-11-03T14:42:16-1", "server" : "rac1", "clientAddr" : "10.250.7.220:53899", "time" : ISODate("2011-11-03T14:42:16.294Z"), "what" : "split", "ns" : "test.yql", "details" : { "before" : { "min" : { "_id" : ObjectId("4eb298b3adbd9673afee95e3") }, "max" : { "_id" : { $maxKey : 1 } }, "lastmod" : { "t" : 1000, "i" : 2 } }, "left" : { "min" : { "_id" : ObjectId("4eb298b3adbd9673afee95e3") }, "max" : { "_id" : ObjectId("4eb2a64640643e5bb60072f7") }, "lastmod" : { "t" : 1000, "i" : 3 } }, "right" : { "min" : { "_id" : ObjectId("4eb2a64640643e5bb60072f7") }, "max" : { "_id" : { $maxKey : 1 } }, "lastmod" : { "t" : 1000, "i" : 4 } } } }</p>
<p>{ "_id" : "rac1-2011-11-03T14:42:16-2", "server" : "rac1", "clientAddr" : "10.250.7.220:53899", "time" : ISODate("2011-11-03T14:42:16.460Z"), "what" : "moveChunk.start", "ns" : "test.yql", "details" : { "min" : { "_id" : ObjectId("4eb2a64640643e5bb60072f7") }, "max" : { "_id" : { $maxKey : 1 } }, "from" : "shard0000", "to" : "shard0002" } }</p>
<p>{ "_id" : "rac1-2011-11-03T14:42:21-3", "server" : "rac1", "clientAddr" : "10.250.7.220:53899", "time" : ISODate("2011-11-03T14:42:21.544Z"), "what" : "moveChunk.commit", "ns" : "test.yql", "details" : { "min" : { "_id" : ObjectId("4eb2a64640643e5bb60072f7") }, "max" : { "_id" : { $maxKey : 1 } }, "from" : "shard0000", "to" : "shard0002" } }</p>
<p>{ "_id" : "rac3-2011-11-03T14:42:21-0", "server" : "rac3", "clientAddr" : "", "time" : ISODate("2011-11-03T14:42:21.513Z"), "what" : "moveChunk.to", "ns" : "test.yql", "details" : { "min" : { "_id" : ObjectId("4eb2a64640643e5bb60072f7") }, "max" : { "_id" : { $maxKey : 1 } }, "step1" : 3604, "step2" : 982, "step3" : 1, "step4" : 0, "step5" : 423 } }</p>
<p>{ "_id" : "rac1-2011-11-03T14:42:21-4", "server" : "rac1", "clientAddr" : "10.250.7.220:53899", "time" : ISODate("2011-11-03T14:42:21.686Z"), "what" : "moveChunk.from", "ns" : "test.yql", "details" : { "min" : { "_id" : ObjectId("4eb2a64640643e5bb60072f7") }, "max" : { "_id" : { $maxKey : 1 } }, "step1" : 0, "step2" : 121, "step3" : 8, "step4" : 5005, "step5" : 69, "step6" : 29 } }</p>
<p>{ "_id" : "rac3-2011-11-03T14:42:29-1", "server" : "rac3", "clientAddr" : "10.250.7.220:11131", "time" : ISODate("2011-11-03T14:42:29.819Z"), "what" : "split", "ns" : "test.yql", "details" : { "before" : { "min" : { "_id" : ObjectId("4eb2a64640643e5bb60072f7") }, "max" : { "_id" : { $maxKey : 1 } }, "lastmod" : { "t" : 2000, "i" : 0 } }, "left" : { "min" : { "_id" : ObjectId("4eb2a64640643e5bb60072f7") }, "max" : { "_id" : ObjectId("4eb2a65340643e5bb600e084") }, "lastmod" : { "t" : 2000, "i" : 2 } }, "right" : { "min" : { "_id" : ObjectId("4eb2a65340643e5bb600e084") }, "max" : { "_id" : { $maxKey : 1 } }, "lastmod" : { "t" : 2000, "i" : 3 } } } }</p>
<p>{ "_id" : "rac3-2011-11-03T14:42:30-2", "server" : "rac3", "clientAddr" : "10.250.7.220:11131", "time" : ISODate("2011-11-03T14:42:30.103Z"), "what" : "moveChunk.start", "ns" : "test.yql", "details" : { "min" : { "_id" : ObjectId("4eb2a65340643e5bb600e084") }, "max" : { "_id" : { $maxKey : 1 } }, "from" : "shard0002", "to" : "shard0001" } }</p>
<p>{ "_id" : "rac3-2011-11-03T14:44:15-3", "server" : "rac3", "clientAddr" : "10.250.7.220:11131", "time" : ISODate("2011-11-03T14:44:15.246Z"), "what" : "moveChunk.commit", "ns" : "test.yql", "details" : { "min" : { "_id" : ObjectId("4eb2a65340643e5bb600e084") }, "max" : { "_id" : { $maxKey : 1 } }, "from" : "shard0002", "to" : "shard0001" } }</p>
<p>{ "_id" : "rac3-2011-11-03T14:44:15-4", "server" : "rac3", "clientAddr" : "10.250.7.220:11131", "time" : ISODate("2011-11-03T14:44:15.389Z"), "what" : "moveChunk.from", "ns" : "test.yql", "details" : { "min" : { "_id" : ObjectId("4eb2a65340643e5bb600e084") }, "max" : { "_id" : { $maxKey : 1 } }, "step1" : 0, "step2" : 204, "step3" : 100023, "step4" : 5007, "step5" : 111, "step6" : 0 } }</p>
<p>mongos&gt; </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-13 06:01:06</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>【Mongodb】 Mongodb sharding 管理之二的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV0GKkM.html" rel="bookmark">【Mongodb】Sharding 集群配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				mongodb的sharding集群由以下3个服务组成: Shards  Server: 每个shard由一个或多个mongod进程组成,用于存储数据 Config  Server: 用于存储集群的Metadata信息,包括每个Shard的信息和chunks信息 Route   Server: 用于提供路由服务,由Client连接,使整个Cluster看起来像单个DB服务器 另外,Chunks是指MongoDB中一段连续的数据块,默认大小是200M,一个Chunk位于其中一台Shard服务器上			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3ZJlgz.html" rel="bookmark">ASP&period;NET MVC4使用MongoDB制作相册管理&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ASP.NET MVC4使用MongoDB制作相册管理实例分享 TIPS:1.Image转成Base64保存到mongodb字段          2.数据模型是嵌套的关联  首先定义Model层:  public class Photo : IEquatable&lt;Photo&gt; { [Required] public string PhotoName { get; set; } [Required] public string PhotoDescription { get; set; } pu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/rz4BJqM.html" rel="bookmark">深入SQL SERVER 2000的内存管理机制&lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				server 深入SQL SERVER 2000的内存管理机制(二)     http://msdn.microsoft.com/data/default.aspx?pull=/library/en-us/dnsqldev/html/sqldev_01262004.asp   可访问大地址的应用 (Large-Address-Aware Executables) 在Windows增加支持/3GB参数以前,一个应用程序是无法访问一个带有高位设置的指针.一个32位的指针只有前31位地址空间可以被用户			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRDLvz.html" rel="bookmark">IOS有关内存管理的二三事</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				IOS有关内存管理的二三事 一.前引 随着移动设备的内存越来越大,程序员也已经度过了为了那一两M的内存在系统的抽丝剥茧的年代,对于JAVA的开发者,对内存更是伸手即取,并且从不关心什么时候还回去.但是,程序的掌控度对程序员来说是至关重要的,任何语言的内存管理机制的初衷也是在有限的空间里完成最精致的逻辑. 二.Xcode工程设置ARC ARC是xcode5中引入的自动引用计数,其原理与MRC是一样,只是系统帮助我们添加了retain和release.现在在xcode中新建的项目默认都是ARC的环境			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgRy9Bb.html" rel="bookmark">【Mongodb】Mongodb sharding 管理之一</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面介绍了sharding的基本搭建和大量插入数据测试,本文介绍一些sharding相关查询操作 1 判断是否是shard 集群 mongos&gt; db.runCommand({ isdbgrid : 1}); { &quot;isdbgrid&quot; : 1, &quot;hostname&quot; : &quot;rac4&quot;, &quot;ok&quot; : 1 } mongos&gt; db.runCommand({ismaster:1}); {         &quot;i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnRy7Kp.html" rel="bookmark">【Mongodb】sharding 集群Add&sol;Remove 节点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				MongoDB的Auto-Sharding能够做到: 1 当各Sharding间负载和数据分布不平衡时,自动rebalancing 2 简单方便的添加和删除节点 3 自动故障转移(auto failover) 4 可扩展至上千台节点  如何增加shard节点,在之前的shard集群配置过程使用过.当向一个sharding集群添加新的节点,mongodb 会将在其他节点的数据chunk迁移到新的节点上面.以便达到均分数据的目的,这也算是负载均衡吧. 添加之前: mongos&gt; db.printSh			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWEJOz.html" rel="bookmark">深入理解MongoDB分片的管理&lowbar;MongoDB</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 在MongoDB(版本 3.2.9)中,分片集群(sharded cluster)是一种水平扩展数据库系统性能的方法,能够将数据集分布式存储在不同的分片(shard)上,每个分片只保存数据集的一部分,MongoDB保证各个分片之间不会有重复的数据,所有分片保存的数据之和就是完整的数据集.分片集群将数据集分布式存储,能够将负载分摊到多个分片上,每个分片只负责读写一部分数据,充分利用了各个shard的系统资源,提高数据库系统的吞吐量. 数据集被拆分成数据块(chunk),每个数据块包含多个do			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvERV9b.html" rel="bookmark">MongoDB用户权限管理讲解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Mongodb在2.4最新版本中对用户权限管理做了全新的调整,把权限细化了,增强了安全性,越来越像mysql的权限管理了. 一.2.4之前的版本用户管理 1.创建某个数据库的管理用户 1.1.进入weiw数据库: &gt;use weiw; 1.2.添加用户(读写权限,readOnly--&gt;false): &gt;db.addUser(&quot;java&quot;,&quot;java&quot;);默认是拥有weiw数据库所有权限 &gt;db.addUser(&quot;java1&quot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg3BgOM.html" rel="bookmark">MongoDB 生态 - 可视化管理工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				工欲善其事,必先利其器,我们在使用数据库时,通常需要各种工具的支持来提高效率:很多新用户在刚接触 MongoDB 时,遇到的问题是『不知道有哪些现成的工具可以使用』,本系列文章将主要介绍 MongoDB 生态在工具.driver.可视化管理等方面的支持情况. 本文主要介绍 MongoDB 的一些可视化运维管理工具 MongoDB Cloud Manager MongoDB Cloud Manager是官方推出的运维自动化管理系统,是企业版才支持的功能,社区用户也可以下载试用.Cloud Mana			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpd8w4p.html" rel="bookmark" class="title">网页表单设计&colon;表单的布局、填写的交互反馈和创意表单的独特性</a>
					<div>
						文章描述:浅析表单设计:以表单布局与填写交互反馈为例. 表单,主要是负责数据采集的功能,需要访问者自己去填写,如访问者的姓名.邮箱.性别.地址.留言建议.设置密码.管理个人账户等等.时下表单无处不在, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6v9NM.html" rel="bookmark" class="title">C&num;2&period;0终于有了&quest;&colon;便捷判断的单分支版</a>
					<div>
						    C#2.0实现的Nullable数据类型,虽然说只是一个小小的cookie,但不得不说是C#矢志不渝的延续了它人性化的特点,我们终于不用再使用object来存放简单数据来通过==null测试. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBNoNb.html" rel="bookmark" class="title">无限级分类</a>
					<div>
						比较简单的一个页面,类似csdn论坛在ns下的左边列表 描述: 1. 数据名:tree.mdb 表名:tree 表结构:id(自编) pid(数字) content(文本) link(文本) 2. 图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpn1DKM.html" rel="bookmark" class="title">ISA Server 2004中的HTTP压缩功能</a>
					<div>
						内容概述:在ISA Server 2004中提供了对于HTTP压缩(常见的是GZIP压缩)的支持,但是从安全的角度,在大部分环境下禁止了HTTP压缩.通过这篇文章,你可以学习到如何在ISA Serve ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNE1Job.html" rel="bookmark" class="title">在虚拟机上安装SQL 2005 没有服务器名称</a>
					<div>
						今天在虚拟机上做实验,安装SQL 05 没有服务器名称 在摆渡和谷哥两位大神的帮助下,找到解决方法 必须安装一个SQL补丁才行,前提是安装Microsoft .NET Framework 2.0 和M ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bal6ygz.html" rel="bookmark" class="title">CorelDraw中ALT键和空格键有妙用</a>
					<div>
						ALT键在CorelDraw中的妙用如下: 在CorelDraw中按住alt键可以直接选择被覆盖的下面图层的内容. 另外在按住alt键的同时,可以像AI一样直接框选接触式选择物体.先按cbrl+j进入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7GoDb.html" rel="bookmark" class="title">C&num;下的SQL SERVER数据库操作类</a>
					<div>
						主要参考了MS的SqlHelper类, 在参考了SqlHelper的基础进行修改而成,对一些基本的数据库操作进行了封装. 推荐使用 using (DBHelper db = new DBHelper( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKQ84p.html" rel="bookmark" class="title">Adobe Reader存在严重漏洞 或导致系统崩溃</a>
					<div>
						北京时间12月7日凌晨消息,Adobe周二发表安全警告称,已经发现有黑客利用Adobe Reader 9.x 中的漏洞对Windows系统发起攻击的状况. 该漏洞的影响范围也正在逐渐扩大,目前包括适用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNr4lb.html" rel="bookmark" class="title">利用图层样式及动作制作喜庆的羊年立体字</a>
					<div>
						  用动作制作立体字也是非常快捷的,过程:先把文字的表面部分制作出来,并合并为一个图层;然后用动作来控制图层的复制及变形比例得到立体面;最后处理立体面细节及颜色即可. 最终效果 1.新建一个1000  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKx3jp.html" rel="bookmark" class="title">win7无线网卡共享WIFI 只能上QQ不能上网页 解决办法</a>
					<div>
						win7无线网卡共享WIFI 只能上QQ不能上网页 解决办法 适合单位上网需要改IP的情况 弄了好半天,终于可以用了,以后不用担心流量不够了~吼吼~ 6.目前貌似只能上QQ不能开网页...下面来详细的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24Rokp.html" rel="bookmark" class="title">Photoshop制作梦幻翅膀技巧</a>
					<div>
						光束翅膀制作过程并不复杂,不过细节的处理比较麻烦.每一条大的光束都是由很多透明度较低的小光束构成,刻画的的时候需要一定的耐心. 最终效果 &lt;点小图查看大图&gt; 1.新建一个一个1000 *  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72QgRp.html" rel="bookmark" class="title">服务器远程超出最大连接数怎么办</a>
					<div>
						  原因:没有注销退出的原因,有可能导致远程连接的进程死掉,重启服务器即可. 解决方法: 1.如果是用Windows Xp.Windows Xp SP1.Windows Xp SP2.Windows  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywDrlz.html" rel="bookmark" class="title">U盘显示0字节如何修复</a>
					<div>
						  盘符还在,一打开就提示要进行格式化,但是格式化不能顺利完成,在优盘的属性里面看到已用空间和可用空间都是0字节,我用CheckUDisk查看,还可以读到优盘的信息,说明优盘的物理硬件没有损坏,如何让 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42E68M.html" rel="bookmark" class="title">ssh下jsp页面访问实体数据出现空指针异常</a>
					<div>
						问题描述 ssh下jsp页面访问实体数据出现空指针异常 我用的是ssh框架,通过action访问实体数据没有问题,当在jsp页面中创建dao的实现类对象去访问数据就出错了.顺便问下spring的实体映 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJ9Z2p.html" rel="bookmark" class="title">linux-setup&period;sh运行出错提示mount错误</a>
					<div>
						问题描述 setup.sh运行出错提示mount错误 setup.sh手动运行时提示mount: mounting /dev/mtdblock5 on /home/ failed: Device or ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5o3Zqb.html" rel="bookmark" class="title">odi安装报错 ~~~跪求~~</a>
					<div>
						问题描述 odi安装报错 ~~~跪求~~ 在安装fmw_12.2.1.0.0_odi.jar时候报这个问题,我用的是1.8 的jdk 而且是在jdk的bin目录下执行的 求解答					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmO05z.html" rel="bookmark" class="title">Windows 8&period;1预览版双系统需注意的事项</a>
					<div>
						微软6月26日将发布Windows 8.1预览版,如果你想要体验一下,但又担心覆盖Windows 8会出现什么不可知的问题,影响日常工作生活,那么可以采用双系统启动(dual boot)的方法运行Wi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2P32rp.html" rel="bookmark" class="title">数据仓库中的维度&lpar;原创&rpar;</a>
					<div>
						维度 维度在数据仓库中主要对事实指标进行过滤和重新组织提供指导.可以将用户对事实的查询结果按照维度指标进行筛选,只允许与维度指标相关的数据返回给用户.维度一般具有如下特性:可以形成一个维度体系,具备访 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamO9Jb.html" rel="bookmark" class="title">c&num;-vs2013无法打开项目文件</a>
					<div>
						问题描述 vs2013无法打开项目文件 最近想试试微软的一个api,我向一个解决方案里添加项目文件时提示&quot;此项目是针对未安装的框架或作为对visual studio的未来更新的一部分包含的框 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkw6L1p.html" rel="bookmark" class="title">一款云端测试平台是如何炼成的？</a>
					<div>
						有一款应用,它具备了让人眼前一亮的创意和一个非常专业的初创团队,所有人都认为成功离它只有一步之遥.但在上线一两天内竟由于用户流量太大,导致应用频繁宕机,而不得不暂停服务.当技术团队通宵达旦的查找问题时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkJ12b.html" rel="bookmark" class="title">Ubuntu下安装GTK库</a>
					<div>
						安装GTK 首先确保您已经安装了编译工具包(gcc/g++/gdb/make等) Ubunto默认是没有安装这些的 sudo apt-get install build-essential 1 1 下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pke5G1b.html" rel="bookmark" class="title">android 快速开发框架，基于组件化的MVP结构</a>
					<div>
						AndroidMouldProject2 android快速开发模板工程,组件化的MVP结构,方便快速开发和多人协作,减少代码耦合,同时方便自定义扩展,封装了一些常用 的模块,通过引用AndroidB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQB9jwM.html" rel="bookmark" class="title">eclipse-为什么我模拟机里的sdcard文件夹打不开</a>
					<div>
						问题描述 为什么我模拟机里的sdcard文件夹打不开 为什么我安卓模拟机DDMS里的mnt//sdcard文件夹打不开,我明明设置了sdcard的储存空间,运行的时候,应用也显示能储存成功,就是不能打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKGOab.html" rel="bookmark" class="title">用vbs实现取消隐藏文件夹中的所有文件&lowbar;vbs</a>
					<div>
						问: 您好,脚本专家!如何运行脚本取消隐藏文件夹中的所有文件? -- GA 答: 您好,GA.您知道我们中的一位脚本专家在年少时和邻居家的其他小孩花费无数的时间玩各种捉迷藏.事实上,这位脚本专家仍清晰 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNn1wdM.html" rel="bookmark" class="title">双11：阿里视频云ApsaraVideo是怎样让4000万人同时狂欢的&quest;</a>
					<div>
						阿里视频云ApsaraVideo 在今年的双11中,全球直播狂欢夜成为了一大亮点.根据官方披露数据,直播总观看人数超4257万,同时观看人数峰值达529万,在云端实现了高计算复杂度的H.265实时转码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7RRRz.html" rel="bookmark" class="title">从实践中要编程的体验和感觉</a>
					<div>
						[来信] 老师您好. 有幸在这里见到您和您的学生.关于学习编程,麻烦您给点建议. 基本情况,理科(力学)在读研究生,不小了,呵呵.本科阶段计算机编程没有系统学习,读研期间陆续读了一些计算机系统,数据结 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRLOZp.html" rel="bookmark" class="title">没有桌面的服务器该怎么操作</a>
					<div>
						问题描述 各位,小弟最近买了阿里云的云主机linux系统,发现没有桌面全部要用命令代码操作(感觉这样好累啊) 解决方案 解决方案二:为什么不选择windows系统解决方案三:云服务器现在提供windo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQkelp.html" rel="bookmark" class="title">C&num; List和String互相转换</a>
					<div>
						原文:C# List和String互相转换 List转字符串,用逗号隔开 List&lt;string&gt; list = new List&lt;string&gt;();list.Add(&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeqGlM.html" rel="bookmark" class="title">简明Python3教程 17&period;更多</a>
					<div>
						简介 迄今为止我们已经学习了python中的大多数常用知识.本章中我们会接触到更多的知识,使得我们更全面的掌握python.   传递元组 你是否希望过从函数返回两个不同的值?做到这点使用元组即可.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjdEKM.html" rel="bookmark" class="title">对象数组赋值的位置问题</a>
					<div>
						问题描述 publicclassobjectployUseage_store{staticSuperClass[]sc=newSuperClass[3];staticvoidtest(){sc[0]= ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
